Bug 1282004 - GSL 2.1 support
GSL 2.1 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: orsa (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1276893
  Show dependency treegraph
 
Reported: 2015-11-14 00:08 EST by Orion Poplawski
Modified: 2015-11-25 00:42 EST (History)
5 users (show)

See Also:
Fixed In Version: orsa-0.7.0-35.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 00:42:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2015-11-14 00:08:43 EST
Description of problem:

I'm working to update gsl to 2.1 in Fedora which has a number of API changes.  orsa fails with:

../../../src/liborsa/orsa_orbit_gsl.cc: In function 'int orsa::least_sq_df(const gsl_vector*, void*, gsl_matrix*)':
../../../src/liborsa/orsa_orbit_gsl.cc:1006:40: warning: format '%i' expects argument of type 'int', but argument 3 has type 'size_t {aka long unsigned int}' [-Wformat=]
   i,j,result,abserr,gsl_vector_get(v,j));
                                        ^
../../../src/liborsa/orsa_orbit_gsl.cc:1006:40: warning: format '%i' expects argument of type 'int', but argument 4 has type 'size_t {aka long unsigned int}' [-Wformat=]
../../../src/liborsa/orsa_orbit_gsl.cc: In function 'void orsa::OrbitDifferentialCorrectionsLeastSquares(orsa::OrbitWithCovarianceMatrixGSL&, const std::vector<orsa::Observation>&)':
../../../src/liborsa/orsa_orbit_gsl.cc:1105:24: error: 'struct gsl_multifit_fdfsolver' has no member named 'J'
  gsl_multifit_covar(s->J,0.0,covar);
                        ^
../../../src/liborsa/orsa_orbit_gsl.cc:1116:29: error: 'struct gsl_multifit_fdfsolver' has no member named 'J'
       gsl_multifit_covar(s->J,0.0,par.covar);
                             ^
../../../src/liborsa/orsa_orbit_gsl.cc:1122:27: error: 'struct gsl_multifit_fdfsolver' has no member named 'J'
     gsl_multifit_covar(s->J,0.0,covar);
                           ^

orsa upstream appears to be pretty much dead to me, so I suspect this will have to be handled in Fedora.  I don't know if debian has already ported but may be worth a check.
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-24 17:01:38 EST
Those first two look like a simple %i → %zi change, but the rest might be more complicated. Unfortunately Debian gave up on orsa is 2009 or so.
Comment 2 Orion Poplawski 2015-11-24 17:06:33 EST
You might want to look at the patch for LabPlot in git master - similar errors.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-25 00:42:35 EST
Should be fixed in rawhide (cd2f093a8f) to compile with both new and old gsl. Just rebuild whenever you push GSL 2.x.

Note You need to log in before you can comment on or make changes to this bug.